@import url("./global-config.css");

:root {
  --primary: rgb(247, 122, 0);
  --secondary: rgb(241, 0, 42);
  --tertiary: rgb(34, 57, 120);
  --success: rgb(86, 197, 104);
  --selected: rgb(247, 122, 0);
  --hint: rgb(255, 165, 0);
  --failure: rgb(235, 87, 87);
  --text: rgb(255, 255, 255);
  --text2: rgb(255, 255, 255);
  --text3: rgb(0, 23, 95);
  --text5: rgb(255, 255, 255);
  --textBtn: rgb(255, 255, 255);
  --border: rgb(216, 216, 216);
  --background1: rgb(0, 93, 205);
  --background2: rgb(51, 145, 239);
  --background3: rgb(6, 118, 230);
  --background4: rgb(0, 63, 183);
  --background5: rgb(15, 54, 107);

  --font-size: 14px;
  --default-width: 1100px;
  --register-bg: rgb(255, 255, 255);
  --primary-filter: brightness(0) saturate(100%) invert(43%) sepia(99%) saturate(2437%) hue-rotate(8deg) brightness(104%) contrast(103%);
  --secondary-filter: brightness(0) saturate(100%) invert(11%) sepia(93%) saturate(6830%) hue-rotate(346deg) brightness(93%) contrast(103%);
  --text5-filter: brightness(0) saturate(100%) invert(99%) sepia(16%) saturate(2%) hue-rotate(225deg) brightness(116%) contrast(100%);
}
:root {
  --bg-opacity: 0;
  --bg-base-color: var(--primary);

  --bo-t: 0;
  --bo-l: 0;
  --bo-w: 100%;
  --bo-h: 2px;
  --bo-z: 1;
  --bo-opacity: 0;
  --bo-base-color: var(--border);
}

.ol-bg-dark {
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bg-opacity)) 0%,
      rgba(0, 0, 0, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bg-light {
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bg-opacity)) 0%,
      rgba(255, 255, 255, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bo-dark {
  position: relative;
}

.ol-bo-dark::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bo-opacity)) 0%,
      rgba(0, 0, 0, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

.ol-bo-light {
  position: relative;
}

.ol-bo-light::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bo-opacity)) 0%,
      rgba(255, 255, 255, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

/**
  color system classes end
*/